#!/bin/sh
#
# Copyright (C) 2004-2014 QVidium Technologies, Inc. All rights reserved.

# If booting, wait until rcS script finishes
tries=0
pidof rcS > /dev/null
while [ $? = 0 -a $tries -lt 60 ] ; do
    sleep 1
    tries=`expr $tries + 1`
    pidof rcS > /dev/null
done

renamefile=
dir=`dirname $0`
echo $dir | grep /media/sd > /dev/null
[ $? = 0 ] && renamefile="$dir/resetpassword.sh"

type resetpassword > /dev/null 2>&1
if [ $? = 0 ] ; then
	resetpassword > /dev/console
else
	PROGRAM=/sbin/set_passwd.sh
	[ -f /qvidium/set_passwd.sh ] && PROGRAM=/qvidium/set_passwd.sh
	$PROGRAM root > /dev/console
fi

[ "$renamefile"x != x ] && mv $0 $renamefile
sync
 
